#-------------------------------------------------
#
# Project created by QtCreator 2015-03-18T17:51:55
#
#-------------------------------------------------

QT += core gui printsupport network
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = fitter
TEMPLATE = app

CONFIG += console
CONFIG += c++11

SOURCES += \
    main.cpp \
    lsf/lsf_minuit.cpp \
    lsf/lsf.cpp \
    minuit/TMinuit.cxx \
    minuit/TString.cxx \
    models/model.cpp \
    models/parameter.cpp \
    models/sansmodel.cpp \
    models/stdmodel.cpp \
    models/yumomodel.cpp \
    models/math/bessel.c \
    models/math/gintegral.cpp \
    models/math/integral.cpp \
    models/math/dcuhre.f \
    ui/mainwindow.cpp \
    ui/plot.cpp \
    3rd/qcustomplot/qcustomplot.cpp \

HEADERS  += \
    lsf/lsf.h \
    minuit/Rtypes.h \
    minuit/TMath.h \
    minuit/TMinuit.h \
    minuit/TString.h \
    models/model.h \
    models/parameter.h \
    models/sansmodel.h \
    models/stdmodel.h \
    models/yumomodel.h \
    models/math/gintegral.h \
    models/math/bessel.h \
    models/math/integral.h \
    ui/mainwindow.h \
    ui/plot.h \
    3rd/qcustomplot/qcustomplot.h \

INCLUDEPATH += \
    lsf \
    minuit \
    models \
    models/math \
    ui \
    3rd/qcustomplot \

LIBS += \
    -lgfortran \

FORMS += \
    ui/mainwindow.ui \


DEFINES += \
    HAVE_CONFIG_H \
    _USE_MATH_DEFINES \
    _CRT_SECURE_NO_WARNINGS \
    HAVE_STRING_H \

RESOURCES += \
    ui/mainwindow.qrc
